package org.eclipse.jdt.internal.compiler.ast;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.ast.NullAnnotationMatching;

enum Severity {
  OK, LEGACY_WARNING, UNCHECKED, MISMATCH;
  
  public Severity max(Severity severity) {
    if (compareTo(severity) < 0)
      return severity; 
    return this;
  }
  
  public boolean isAnyMismatch() {
    return (compareTo(LEGACY_WARNING) > 0);
  }
}
